# Uses of Class
org.codehaus.plexus.util.xml.XmlStreamReader

Packages that use XmlStreamReader
Package
Description
org.codehaus.plexus.util
Miscellaneous utilities, mainly dealing with I/O, strings, and filesystems.

## Uses of XmlStreamReader in org.codehaus.plexus.util

Methods in org.codehaus.plexus.util that return XmlStreamReader
Modifier and Type
Method
Description
`static XmlStreamReader`
ReaderFactory.`newXmlReader(File file)`
Create a new Reader with XML encoding detection rules.
`static XmlStreamReader`
ReaderFactory.`newXmlReader(InputStream in)`
Create a new Reader with XML encoding detection rules.
`static XmlStreamReader`
ReaderFactory.`newXmlReader(URL url)`
Create a new Reader with XML encoding detection rules.